sane-teco2(5)

BEZEICHNUNG
sane-teco2 - SANE-Backend für Scanner von TECO/RELISYS

BESCHREIBUNG
Die Bibliothek sane-teco2 implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf einige TECO-SCSI-Flachbett-Scanner. Dieses Backend sollte als Beta-Qualität-Software betrachtet werden! TECO-Scanner werden unter verschiedenen Marken wie Mustek, Relisys, Piotech, Primax und TRUST verkauft. Dieses Backend könnte Ihren Scanner unterstützen oder auch nicht.

Die folgenden Scanner sollten mit diesem Backend funktionieren:

       Marke Modell               TECO-Modell      Status
    --------------------------  --------------  -----------
      Mustek ScanMagic 4830S      VM3575         nicht getestet
      Primax Jewel 4800           VM356A         gut
      Primax Profi 9600           VM6575         grundlegend
      Primax Profi 19200          VM6586         gut
      Relisys APOLLO Express 3    VM356A         grundlegend
      Relisys APOLLO Express 6    VM6565         gut
      Relisys APOLLO Express 12      ?           nicht getestet
      Relisys AVEC II S3          VM3564         gut
      Relisys AVEC Super 3        VM3575         grundlegend
      Relisys SCORPIO Pro         VM6575         gut
      Relisys SCORPIO Pro-S       VM6586         nicht getestet
      Relisys SCORPIO Super 3     VM3575         gut
Für alle diese Scanner funktioniert der Lineart- und Graumodus gut. Allerdings unterstützen die meisten nicht mehr als eine Handvoll Auflösungen im Farbmodus. Siehe die Homepage das Backends (unter AUTOR) für den genauen Status jedes Scanners. Beachten Sie, dass nicht getestete Scanner nicht direkt unterstützt werden. Sie sollten dafür zum Autor Kontakt aufnehmen. Die TECO-Marken-Modell-Nummer kann normalerweise auf der Rückseite des Scanners gefunden werden. Sie ist auch Teil der FCC-Kennung (FCC-ID). Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xscanimage(1), xsane(1), quiteinsane(1) oder kooka(1) gesteuert werden.
Falls Sie mit einem hier nicht aufgeführten Scanner Erfolg haben oder falls Sie merkwürdiges Verhalten beobachten, berichten Sie das bitte (auf Englisch) an den Backend-Betreuer oder an die SANE-Mailingliste.

OPTIONEN
Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:
    scanimage --help -d teco2

Scanmodus

--mode Lineart|Gray|Color
    wählt den grundlegenden Betriebsmodus des Scanners. Der Modus Lineart ist nur schwarz und weiß (1 bit). Der Modus Gray wird 256 Graustufen (8 bit) erzeugen. Color erstellt ein 24-bit-Farbbild.

--resolution 1…600
    wählt die Scan-Auflösung. Der Scanner beherrscht für Lineart und Gray alle Auflösungen zwischen 1 und 600, in Schritten von 1. Für Color ist eine eingeschränkte Menge an Auflösungen verfügbar. Hinweis: Alle Werte mit vertikaler Auflösung in DPI > 300 (300 x 600) oder 600 (600 x 1200) führen zu falschen Proportionen im Scan. Die Proportionen können mit dem folgenden Befehl convert(1) von Imagemagick angepasst werden:
    convert -geometry (dpi/max_xdpi * 100%)x100%
    max_xdpi ist für die vm3575-Konstante bei 300 DPI, für z.B. 600 DPI passen Sie diese wie folgt an: convert -geometry 200%x100%

--preview
    fordert einen Vorschau-Scan an. Die für diesen Scan verwendete Auflösung ist 50 DPI (für VM356A und VM6575 75 DPI) und der Scan-Bereich ist der größte erlaubte. Der Scan-Modus wird vom Anwender ausgewählt. Die Vorgabe ist »no«.

Geometrieoptionen

-l, -t, -x,  -y
    steuert den Scan-Bereich: -l setzt die obere linke X-Koordinate, -t die obere linke Y-Koordinate, -x wählt die Breite und -y die Höhe des Scan-Bereichs aus. Alle Parameter werden standardmäßig in Millimetern angegeben.

Verbesserungsoptionen

--custom-gamma (kein Option für angepasstes Gamma für den VM3564 und VM356A)
    erlaubt dem Benutzer, eine Gamma-Tabelle anzugeben (nur im Farb-Modus, siehe die nächsten drei Parameter)

OPTIONEN FÜR DEN FARBMODUS
Diese Optionen sind nur für den Scan-Modus Color gültig.

--red-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Rot-Kanal verwendet werden. Die Tabelle muss 256 bytes lang sein.

--green-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Grün-Kanal verwendet werden. Die Tabelle muss 256 bytes lang sein.

--blue-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Blau-Kanal verwendet werden. Die Tabelle muss 256 bytes lang sein.

OPTIONEN NUR FÜR VM3564, VM356A, VM3575 und VM6575
Diese Optionen sind nur für die Modelle VM3564, VM356A, VM3575 und VM6575 verfügbar.

--white-level-r 0…64
    wählt, welche rote Helligkeitsstufe als »weiß« angesehen werden soll, wenn einige Blätter eingescannt werden, indem der in den Scanner geladene Kalibrierungswert geändert wird. Die Skala ist 0…64 in Stufen von 1.

--white-level-g 0…64
    wählt, welche grüne Helligkeitsstufe als »weiß« angesehen werden soll, wenn einige Blätter eingescannt werden, indem der in den Scanner geladene Kalibrierungswert geändert wird. Die Skala ist 0…64 in Stufen von 1.

--white-level-b 0…64
    wählt, welche blaue Helligkeitsstufe als »weiß« angesehen werden soll, wenn einige Blätter eingescannt werden, indem der in den Scanner geladene Kalibrierungswert geändert wird. Die Skala ist 0…64 in Stufen von 1.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/teco2.conf unterstützt nur einen Eintrag: den Namen des zu verwendenden Geräts (zum Beispiel /dev/scanner).

DATEIEN

/usr/lib/sane/libsane-teco2.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/sane/libsane-teco2.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_TECO2
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

SANE_TECO2_CAL_ALGO
    Entweder 0 oder 1. Wählt den Kalibrierungsalgorithmus. Ein Wert von 1 scheint bessere Scans auf dem VM356A, VM3575 zu ergeben. Rückmeldung hierzu ist willkommen. Für VM3564, VM356A, VM3575, VM6575 ist die Vorgabe 1. Für andere unterstützte Typen ist die Vorgabe 0.

EINSCHRÄNKUNGEN
Der TWAIN-Treiber für Windows verfügt über weitaus mehr Optionen als dieses SANE-Backend. Allerdings sind diese nur softwareseitige Anpassungen. Dieses Backend implementiert nur das, was der Scanner unterstützen kann.

FEHLER
Viele. Teile dieses Backends befinden sich noch in der Entwicklung.

SIEHE AUCH
sane(7), sane-scsi(5), scanimage(1), xscanimage(1), xsane(1)

AUTOREN

Frank Zago
    http://www.zago.net/sane/#teco2

Das Paket wird aktiv von Gerard Klaver betreut.
    http://gkall.hobby.nl/teco2.html

DANKSAGUNGEN
Dank an:

Gerard Klaver für sein unermüdliches VM3575-Testen und er steuerte einen Patch für die Unterstützung der VM3564 und VM356A bei.

Mark Plowman für die Bereitstellung der ersten SCSI-Datenspuren von einem VM3575.

Andreas Klaedtke für die Bereitstellung der ersten SCSI-Datenspuren von einem VM6586 und für sein Testen und an Stefan von Dombrowski für sein Testen.

Nicolas Peyresaubes für die Bereitstellung der ersten SCSI-Datenspuren von einem VM656A und für sein Testen.

Dave Parker für das Testen der Unterstützung für den VM6575.

Michael Hoeller für das Testen der Unterstützung für den VM356A.

Christoph Hoeffner für das Testen der Unterstützung für den VM3564 (Relisys AVEC II S3 Firmware 1.09).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.